#ifndef SetComParameter_H
#define SetComParameter_H

#include <Command.h>

#include "ComChannel.h"
#include "DParameter.h"
namespace ProtoGenWrapper
{
	class SetComParameter : public OpenTestSystem::OtxDiagManager::Common::Command
	{
	public:
		SetComParameter(const ComChannel comChannel, const std::string& name, const DValue value);
		SetComParameter(const OpenTestSystem::OtxDiagManager::Common::Command& cmd);

		bool GetValues(ComChannel& comChannel, std::string& name, DValue& value);

		static int GetCommandType();
	};
}
#endif // SetComParameter_H
